Subject: Re: bug#36067: 27.0.50; Edebug leaves undefined RET in minibuffer

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 21 Jun 2019 08:14:19 -0700

Noam Postavsky <[email-masked]> writes:

> tags 36067 + unreproducible
> quit
>
> Michael Heerdegen <[email-masked]> writes:
>
>> sorry, no recipe.  Quite often when I have used edebug, I think often I
>> killed the session by going to top-level (q), normal RET in the
>> minibuffer doesn't work any more.  Hitting the key RET does nothing.  I
>> have to restart Emacs (I need to close it with the mouse or something
>> like that).
>
> Do you mean that you're stuck in the minibuffer too?  Or just that the
> minibuffer becomes non-functional, while other normal typing still
> works.
>
>> I have no clue why this happens.  Dunno if it is my fault.  Anyone else
>> seeing this?
>
> Don't think I've ever seen that before.  I know the 'transient' package
> (which magit now uses for its popup UI), can have a bad interaction with
> edebug when trying to debug its code.  I think it's due to how it messes
> with transient keymaps in post/pre comman hooks.  Maybe you have
> something similar happen here?

I may have seen something similar, where there seems to be an cursor in
the minibuffer, sort of like a prompt with no text, but you can't "get
there" to quit the prompt. I've found that `exit-recursive-edit' gets
out of it. Ignore me if this is unrelated...